$(document).ready(function() {
	inicio();
});

function inicio(){
	$.ajax({
		url: '../ingreso/php/proceso_2019.php',
		type: 'post',
		dataType: 'html',
		data: { 
			opc: 'inicio',
		},
	})
	.done(function(e){
		console.log(e);
		if (e!='1') {
			var cad = e.split("@", 2);
			$("#tit_dos").html(cad[0]);
	    
			switch (cad[1]){
				case '1':
					$("#menu-li").prepend("<li class='nav-item'><a class='nav-link js-scroll-trigger' href=\"javascript:verifica_disponibilidad('validar-pago', null);\">Validar</a></li>");
				break;
				case '2':
					$("#menu-li").prepend("<li class='nav-item'><a class='nav-link js-scroll-trigger' href=\"javascript:listado('listado');\">Reporte</a></li>");
				break;
				case '3':
					$("#menu-li").prepend("<li class='nav-item'><a class='nav-link js-scroll-trigger' href=\"javascript:verifica_disponibilidad('validar-pago', null);\">Validar</a></li>"+
						"<li class='nav-item'><a class='nav-link js-scroll-trigger' href=\"javascript:listado('listado');\">Reporte</a></li>");
				break;
			}
		} else {
			window.location = "http://itzitacuaro.edu.mx/ingreso/index_2019.html";
		}
	})
	.fail(function() { console.log("error"); })
	.always(function() {});
}

function cerrar(){
	$.ajax({
		url: '../ingreso/php/proceso_2019.php',
		type: 'post',
		dataType: 'html',
		data: { 
			opc: 'cerrar',
		},
	})
	.done(function(e){
		window.location = "http://itzitacuaro.edu.mx/ingreso/";
	})
	.fail(function() { console.log("error"); })
	.always(function() {});
}

function verifica_disponibilidad(view, param){
	$.ajax({
		url: '../ingreso/php/vistas_2019.php',
		type: 'post',
		dataType: 'html',
		data: { 
			view: view,
			param: param, 
		},
	})
	.done(function(e){
		$("#tit_uno").html("Verificación de Pago Referenciado");
		$("#tit_dos").html("Autorizar Inscripción del Alumno");
		$("#contenido").html(e);
		dibuja_grafica();

	})
	.fail(function() { console.log("error"); })
	.always(function() {});
}

function dibuja_grafica(){
	var na = $("#num_auto").val();
	var nr = $("#num_ref").val();
	var nsa = $("#num_sin_auto").val();
	var nre = $("#num_rec").val();
	console.log(nr);

	var chartColors = window.chartColors;
  var color = Chart.helpers.color;
  var config = {
      data: {
          datasets: [{
              data: [
                  nr,
                  na,
                  nsa,
                  nre,
              ],
              backgroundColor: [
	                'rgba(0, 0, 0, 0.3)',
	                'rgba(40, 167, 69, 0.7)',
	                'rgba(23, 162, 184, 0.7)',
	                'rgba(220, 53, 69, 0.7)',
	            ],
              label: 'My dataset' // for legend
          }],
          labels: [
              "Referencias Disponibles",
              "Autorizados",
              "Por Autorizar",
              "Descartados",
          ]
      },
      options: {
          responsive: true,
          legend: {
              position: 'right',
          },
          title: {
              display: true,
              text: 'Estadistica de Candidatos'
          },
          scale: {
            ticks: {
              beginAtZero: true
            },
            reverse: false
          },
          animation: {
              animateRotate: false,
              animateScale: true
          }
      }
  };

  var ctx = document.getElementById("chart-area");
  window.myPolarArea = Chart.PolarArea(ctx, config);
}

function validar_alumno($id){
	$.ajax({
		url: '../ingreso/php/proceso_2019.php',
		type: 'post',
		dataType: 'html',
		data: { 
			opc: 'autoriza_alumno',
			idAlu: $id, 
		},
	})
	.done(function(e){
		switch(e){
			case 'ok': 
				$("#lbl_no_alu").remove();
				$("#ren-"+$id).remove();				
				
				$("#msj").html("Autorización con éxito!");
				$('#modal-mensaje').modal('show');
				setTimeout(ocultar_modal, 3000);

				

				$("#num_auto").val(parseInt($("#num_auto").val())+parseInt(1));
				$("#num_sin_auto").val(parseInt($("#num_sin_auto").val())-parseInt(1));
				console.log($("#num_auto").val());
				console.log($("#num_sin_auto").val());
				dibuja_grafica();

				$.ajax({
					url: '../ingreso/php/vistas_2019.php',
					type: 'post', dataType: 'html',
					data: { 		view: 'renglon-autorizado', 
											id: $id, },
				})
				.done(function(e){ 
					$("#tabla-autorizados").append(e); 
					var $i = 1;
					$.each($("#tabla-autorizados:last-child").find('.count'), function(index, val) {
						 $(this).html($i);
						 $i = $i+1;
					});
				})
				.fail(function() { console.log("error"); })
				.always(function() {});

			break;
			case 'no':
				$("#msj").html("Por favor intenta mas tarde, se produjo un error");
				$('#modal-mensaje').modal('show');
				setTimeout(ocultar_modal, 3000);
			break;
		}
	})
	.fail(function() { console.log("error"); })
	.always(function() {});
}

function rechazar_alumno($id){
	$.ajax({
		url: '../ingreso/php/proceso_2019.php',
		type: 'post',
		dataType: 'html',
		data: { 
			opc: 'rechaza_alumno',
			idAlu: $id, 
		},
	})
	.done(function(e){
		switch(e){
			case 'ok': 
				$("#lbl_alu_des").remove();
				$("#ren-"+$id).remove();				
				
				$("#msj").html("El aspirante fue descartado con éxito!");
				$('#modal-mensaje').modal('show');
				setTimeout(ocultar_modal, 3000);

				

				$("#num_rec").val(parseInt($("#num_rec").val())+parseInt(1));
				$("#num_sin_auto").val(parseInt($("#num_sin_auto").val())-parseInt(1));
				console.log($("#num_auto").val());
				console.log($("#num_sin_auto").val());
				dibuja_grafica();

				$.ajax({
					url: '../ingreso/php/vistas_2019.php',
					type: 'post', dataType: 'html',
					data: { 		view: 'renglon-rechazado', 
											id: $id, },
				})
				.done(function(e){ 
					$("#tabla-rechazados").append(e); 
					var $i = 1;
					$.each($("#tabla-rechazados:last-child").find('.count'), function(index, val) {
						 $(this).html($i);
						 $i = $i+1;
					});
				})
				.fail(function() { console.log("error"); })
				.always(function() {});

			break;
			case 'no':
				$("#msj").html("Por favor intenta mas tarde, se produjo un error");
				$('#modal-mensaje').modal('show');
				setTimeout(ocultar_modal, 3000);
			break;
		}
	})
	.fail(function() { console.log("error"); })
	.always(function() {});
}

function ocultar_modal(){
	$('#modal-mensaje').modal('hide');
}


/*
*
*					DEPARTAMENTO DE DESARROLLO ACADEMICO
*
*/

function listado(view, param){
	$.ajax({
		url: '../ingreso/php/vistas_2019.php',
		type: 'post',
		dataType: 'html',
		data: { 
			view: view,
			param: param, 
		},
	})
	.done(function(e){
		$("#tit_uno").html("Curso Propedéutico");
		$("#tit_dos").html("Lista de aspirantes Aceptados / Descartados");
		$("#contenido").html(e);
		dibuja_grafica();

	})
	.fail(function() { console.log("error"); })
	.always(function() {});
}
